在centos 6.x 上成功安装 kchmviewer

使用centos 6 做桌面用,但一直有个缺陷:kchmviewer安装不上。提示缺少Qt库,以前通过rpm.pbone.net查找下载qt库,但总是有包依赖的冲突,两个软件包(具体是谁忘记了),一个要高版本的库,一个一定要低版本的库,于是放弃,尝试自己编译,一样没解决包依赖问题。

今天是2012年元旦,随手google搜索一下 centos 6 kchmviewer,是看到了第一条结果,马上尝试,很顺利,安装成功。

回看一下自己失败的原因,原来是下载的qtwebkit包太新(qtwebkit-2.1.1-1.el6.i686),所以出现软件包依赖冲突;而使用qtwebkit-2.0-3.el6.i686.rpm就可以成功安装了。

centos 6.x 上安装 kchmviewer两个包如下

kchmviewer-5.3-1.i586.rpm kchmviewer-5.3-1.rpm

qtwebkit-2.0-3.el6.i686.rpm (http://pkgs.org/centos-6-rhel-6/atrpms-i386/qtwebkit-2.0-3.el6.i686.rpm/download/)

 

参考

http://www.myzhenai.com/thread-14387-1-1.html (CentOS6.0安装kchmviewer)




coded by nessus

评论关闭。